IHttpOpts
Defined in: src/http-api/interface.ts:50
Options object for FetchHttpApi and DigitalWorldHttpApi.
Properties
Section titled “Properties”accessToken?
Section titled “accessToken?”
optionalaccessToken?:string
Defined in: src/http-api/interface.ts:58
baseUrl
Section titled “baseUrl”baseUrl:
string
Defined in: src/http-api/interface.ts:53
extraParams?
Section titled “extraParams?”
optionalextraParams?:QueryDict
Defined in: src/http-api/interface.ts:56
fetchFn?
Section titled “fetchFn?”
optionalfetchFn?: {(input,init?):Promise<Response>; (input,init?):Promise<Response>; }
Defined in: src/http-api/interface.ts:51
Call Signature
Section titled “Call Signature”(
input,init?):Promise<Response>
Parameters
Section titled “Parameters”URL | RequestInfo
RequestInit
Returns
Section titled “Returns”Promise<Response>
Call Signature
Section titled “Call Signature”(
input,init?):Promise<Response>
Parameters
Section titled “Parameters”string | URL | Request
RequestInit
Returns
Section titled “Returns”Promise<Response>
idBaseUrl?
Section titled “idBaseUrl?”
optionalidBaseUrl?:string
Defined in: src/http-api/interface.ts:54
localTimeoutMs?
Section titled “localTimeoutMs?”
optionallocalTimeoutMs?:number
Defined in: src/http-api/interface.ts:78
logger?
Section titled “logger?”
optionallogger?:Logger
Defined in: src/http-api/interface.ts:81
Optional logger instance. If provided, requests and responses will be logged.
onlyData?
Section titled “onlyData?”
optionalonlyData?:boolean
Defined in: src/http-api/interface.ts:76
For historical reasons, must be set to true. Will eventually be removed.
prefix
Section titled “prefix”prefix:
string
Defined in: src/http-api/interface.ts:55
refreshToken?
Section titled “refreshToken?”
optionalrefreshToken?:string
Defined in: src/http-api/interface.ts:62
Used in conjunction with tokenRefreshFunction to attempt token refresh
tokenRefreshFunction?
Section titled “tokenRefreshFunction?”
optionaltokenRefreshFunction?:TokenRefreshFunction
Defined in: src/http-api/interface.ts:67
Function to attempt token refresh when a possibly expired token is encountered Optional, only called when a refreshToken is present
useAuthorizationHeader?
Section titled “useAuthorizationHeader?”
optionaluseAuthorizationHeader?:boolean
Defined in: src/http-api/interface.ts:73
Whether to use the HTTP Authorization header over the access_token query parameter